CREATE TABLE ad_files (
    FILE_ID                  NUMBER            NOT NULL,
    APP_SHORT_NAME           VARCHAR2(200)     NOT NULL,
    SUBDIR                   VARCHAR2(1024)    NOT NULL,
    FILENAME                 VARCHAR2(512)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    IS_FLAGGED_FILE          VARCHAR2(4)   ,
    FLAGGED_FILE_COMMENTS    VARCHAR2(4000),
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ORA_EDITION_CONTEXT      VARCHAR2(120)     NOT NULL,
    FILE_ID                  NUMBER            NOT NULL,
    APP_SHORT_NAME           VARCHAR2(200)     NOT NULL,
    SUBDIR                   VARCHAR2(1024)    NOT NULL,
    FILENAME                 VARCHAR2(512)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    IS_FLAGGED_FILE          VARCHAR2(4)   ,
    FLAGGED_FILE_COMMENTS    VARCHAR2(4000),
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ORA_EDITION_CONTEXT      VARCHAR2(120)     NOT NULL
);
